extends Sprite

class_name Flatfish

const s = preload('res://images/game1/flatfish_s.tres')
const s_h = preload('res://images/game1/flatfish_s_h.tres')
const t = preload('res://images/game1/flatfish_t.tres')
const t_h = preload('res://images/game1/flatfish_t_h.tres')

var type: int

func _init(_type : int):
	type = _type
	if type == FlatfishType.S:
		texture = s_h
	else:
		texture = t_h
	

enum FlatfishType {S, T}
